---
upload-photon3:
  stage: upload
  image: docker.bintray.io/jfrog/jfrog-cli-go:1.39.3
  dependencies:
    - pkg-photon3
  variables:
    JFROG_CLI_BUILD_NAME: $CI_PROJECT_NAME
    JFROG_CLI_BUILD_NUMBER: $CI_COMMIT_REF_SLUG-$CI_COMMIT_SHORT_SHA-photon3
    JFROG_CLI_BUILD_URL: $CI_PIPELINE_URL
    JFROG_CLI_ENV_EXCLUDE: "*"
  script:
    - mkdir ~/.jfrog
    - |
      ([ -n "$ARTIFACTORY_JFROG_CLI_CONFIG" ] && [ -f "$ARTIFACTORY_JFROG_CLI_CONFIG" ] && cp "$ARTIFACTORY_JFROG_CLI_CONFIG" ~/.jfrog/jfrog-cli.conf) \
      || (echo "please provide jfrog config as a file variable named ARTIFACTORY_JFROG_CLI_CONFIG" && exit 1)
    - |
      for file in $(find . -type f -name "${CICD_JFROG_PKG_STRING}".rpm); do \
        jfrog rt u ${file} \
        ${CICD_JFROG_PHOTON3_REPO}/${CICD_JFROG_PHOTON3_REPO_PATH}/$(basename ${file}) \
        --props "cicd.pipeline.url=${CI_PIPELINE_URL};rpm.metadata.arch=x86_64;rpm.metadata.release=el7"; done
    - jfrog rt bce
    - jfrog rt bag
    - jfrog rt bp
  rules:
    - if: "$CI_COMMIT_TAG == null && $CI_PROJECT_PATH == $CICD_UPSTREAM_PATH"
      when: on_success
    - when: never
